<?php
require 'Meme.php';

$meme = (new Meme())->setPage($_GET['pageId'] ?? null);

$items = $meme->getMemes();
?>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>Мемы</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap" rel="stylesheet">
    <link href="/style.css" rel="stylesheet">
</head>
<body>
<div class="wrapper">
    <?php
    if (count($items)) {
        foreach ($items as $item) {
            echo '<div class="item"><a href="' . $item . '"><img src="' . $item . '" alt="*"></a></div>';
        }
    } else {
        die('Мемы не получены 😞');
    }

    if ($nextPageId = $meme->nextPageId()) {
        echo '<a class="next" href="?pageId=' . $nextPageId . '">Далее</a>';
    }
    ?>
</div>
</body>
</html>
